# shortest.hh File Reference

Algorithms for enumeration of short words in a language. More...

Include dependency graph for shortest.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename Automaton >
Automaton::monoid_elt_t | shortest (const Automaton &autom)
| Return the smallest accepted word.
template<typename Automaton , typename MonoidElt >
bool | shortest (const Automaton &autom, MonoidElt &word)
| Compute the smallest accepted word.
template<typename Automaton , typename MonoidElt , typename Alloc >
void | enumerate (const Automaton &autom, unsigned max_length, std::list< MonoidElt, Alloc > &word_list)
| Compute the list of short accepted words.

## Detailed Description

Algorithms for enumeration of short words in a language.

Algorithm shortest gives the smallest words for the military (or shortlex) order. Algorithm enumerates returns the list of all accepted words shorter than a given length.

See also:
  shortest(), enumerate()

Definition in file shortest.hh.